Create an event
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
Create a new event that defines when and how users are on-call within a rotation.
Constraints:
- Maximum 5 events per rotation
- Events within a rotation cannot overlap
effective_sincemust be in the future (past values are clamped to now)- All users referenced in
assignment_strategy.membersmust exist and belong to the account
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
The ID of the rotation.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Developer Agreement
Your access to and use of the PagerDuty Developer Services is governed by the PagerDuty Developer Agreement.